package com.hai.service;

import com.hai.entity.HighMerchantAccount;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

public interface HighMerchantAccountService {

    /**
     * 编辑商户账户
     * @param merchantAccount
     */
    void editMerchantAccount(HighMerchantAccount merchantAccount);

    /**
     * 充值
     * @param merId
     * @param amount
     * @param otherParam
     */
    void recharge(Long merId, BigDecimal amount, Map<String, Object> marketingParam, Map<String, Object> otherParam);

    /**
     * 查询商户账户
     * @param merId
     * @return
     */
    HighMerchantAccount getMerAccountDetail(Long merId);

    /**
     * 统计商户加油金额
     * @param merId
     * @return
     */
    BigDecimal countMerGasOilAmount(Long merId);

    /**
     * 查询门店加油金额
     * @param merId
     * @return
     */
    List<Map<String, Object>> getStoreGasOilAmountByMer(Long merId);
 }
